How to run on Java 11+

General discussions.

Moderator: moderators

How to run on Java 11+

Postby hayesti » Thu Sep 02, 2021 9:38 am

Please note: I'm not a Java programmer and this hack might have consequences to your subsonic server's stability and/or security.

Assuming you've installed Subsonic to a Tomcat server, to get it running on Java11 or newer

Edit the file subsonic/META-INF/maven/net.sourceforge.subsonic/subsonic-main/pom.xml and add the following within <dependencies> </dependencies>
Code: Select all
      <!-- Java 11 fixes -->
      
      <dependency>
         <groupId>javax.activation</groupId>
         <artifactId>activation</artifactId>
         <version>1.1.1</version>
      </dependency>
      
      <dependency>
         <groupId>javax.jws</groupId>
         <artifactId>javax.jws-api</artifactId>
         <version>1.1</version>
      </dependency>
      
      <dependency>
         <groupId>javax.xml.bind</groupId>
         <artifactId>jaxb-api</artifactId>
         <version>2.1</version>
      </dependency>
      
      <dependency>
         <groupId>javax.xml.soap</groupId>
         <artifactId>javax.xml.soap-api</artifactId>
         <version>1.3.8</version>
      </dependency>
      
      <dependency>
         <groupId>javax.xml.ws</groupId>
         <artifactId>jaxws-api</artifactId>
         <version>2.1-1</version>
      </dependency>


Download the following and copy them to subsonic/WEB-INF/lib/

I've successfully run Subsonic with Java11 and Java16 by doing this.
hayesti
 
Posts: 4
Joined: Sun Aug 22, 2021 5:44 pm

Return to General

Who is online

Users browsing this forum: No registered users and 1 guest